Upgrading from php 5.1.6 to 5.2.17 or 5.3

Discussion in 'Installation/Configuration' started by pioneernetwork, Apr 25, 2011.

  1. pioneernetwork

    pioneernetwork New Member

  2. -crisstm-

    -crisstm- Banned

  3. prisfeo

    prisfeo New Member


    i resume this topic since i am in similar situation and ready to critical upgrade but prior to do this i wish to know your experiences:

    i have Centos 5.4 with ISPConfig installed with the following great guide:
    and PHP version 5.1.6 installed;
    (ispconfig server manage about 50 websites with joomla 1.5.x, mysql related db, ftp access and other php websites)
    now i have to upgrade php to version 5.3 and i saw it's made easy with the guide linked above (http://www.webtatic.com/packages/php53/),
    but my question is the following:

    after a successfully php upgrade to version 5.3,
    will ISPConfig still continue to work properly without any issue/problem ?

    thanks in advance for your help,
  4. prisfeo

    prisfeo New Member

    sorry for resuming again..
    but if anyone could share some comments or experiences about my question above, i'd appreciate a lot..
    thnks for attention and help.

  5. till

    till Super Moderator Staff Member ISPConfig Developer

    ISPConfig works fine with php 5.3, but you should ensure to use a current ispconfig version, the one you installed is really really old, the current release is
  6. prisfeo

    prisfeo New Member

    hi Till,
    thanks for replying! :)
    when you say
    you are confirming that also exactly ISPConfig v. will work fine with php 5.3 ?
    asap, i'll try to do an ispconfig upgrade to the latest version hoping not to have any issue (i have some site using "fast-cgi" mode, other with "su-php" etc) :rolleyes:
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Might work or not, we dont do tests for ISPConfig versions that are so old (more then 2 years). You should update yours ystem more frequently, the longer you wait the more likely you get problems with an update.

Share This Page